[arch-commits] Commit in libgksu/trunk (PKGBUILD libgksu.install)

Jan de Groot jgc at archlinux.org
Fri Jul 18 17:03:01 EDT 2008


    Date: Friday, July 18, 2008 @ 17:03:01
  Author: jgc
Revision: 5569

upgpkg: libgksu 2.0.7-1

Modified:
  libgksu/trunk/PKGBUILD
  libgksu/trunk/libgksu.install

-----------------+
 PKGBUILD        |   16 ++++++++--------
 libgksu.install |    5 -----
 2 files changed, 8 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-18 20:51:46 UTC (rev 5568)
+++ PKGBUILD	2008-07-18 21:03:01 UTC (rev 5569)
@@ -2,28 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libgksu
-pkgver=2.0.5
+pkgver=2.0.7
 pkgrel=1
 pkgdesc="gksu authorization library"
 arch=(i686 x86_64)
 url="http://www.nongnu.org/gksu/index.html"
 license=(GPL)
-depends=('gconf>=2.18.0.1-4' 'gnome-keyring>=0.8.1-2' 'libgtop>=2.14.8-2' 
-         'libglade>=2.6.0' 'startup-notification>=0.9')
+depends=('gnome-keyring>=2.22.3' 'libgtop>=2.22.3'
+         'libglade>=2.6.2' 'startup-notification>=0.9')
 makedepends=('gtk-doc' 'pkgconfig')
 options=('!libtool')
 install=libgksu.install
 source=(http://people.debian.org/~kov/gksu/${pkgname}-${pkgver}.tar.gz)
-md5sums=('93f61258751eb7396721281f8f784c46')
+md5sums=('2f2c6a21281370942ea2855553d3ad89')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var --disable-static
+              --localstatedir=/var --disable-static || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
   rm -f ${startdir}/pkg/usr/lib/*.a
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
   rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }

Modified: libgksu.install
===================================================================
--- libgksu.install	2008-07-18 20:51:46 UTC (rev 5568)
+++ libgksu.install	2008-07-18 21:03:01 UTC (rev 5569)
@@ -15,8 +15,3 @@
 pre_remove() {
   usr/sbin/gconfpkg --install ${pkgname}
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list